package main

import (
	"fmt"
	"log"
	"net/http"
	"os"
	"path/filepath"
	"time"
	"io/ioutil"
)

const (
	db                    = "./.data/data.json"
	defaultClosingTimeout = 5 * time.Minute
	// epochTime = time.Date(1970, time.January, 01, 0, 0, 0, 0, time.UTC)
)

var (
	fuzIsOpen  = false
	epochTime  = time.Date(1970, time.January, 01, 0, 0, 0, 0, time.UTC)
	lastSeen   = epochTime
	lastOpened = epochTime
	lastClosed = epochTime
)

func init() {
	err := os.MkdirAll(filepath.Dir(db), 0755)
	if err != nil {
		panic(err)
	}
	content, err := ioutil.ReadFile(db)
	if err != nil {
		panic(err)
	}
}

func handler(w http.ResponseWriter, r *http.Request) {
	fmt.Fprintf(w, "Hi there, I love %s!", r.URL.Path[1:])
}

func main() {
	http.HandleFunc("/", handler)
	log.Fatal(http.ListenAndServe(":8080", nil))
}
